Get a financial promotion
Returns one financial promotion by `id`. Requires `Permissions.Promotions.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
amountFrom?|Format
decimalamountTo?|Format
decimalbarcode?|Length
length <= 20createdAt?|Format
date-timedaysOfWeek?|Format
int32deletedAt?|Format
date-timedescription?|Length
length <= 200discountAmount?|Format
decimaldiscountGroupId?|Format
int32discountOnNextPurchase?boolean|nulldiscountOnNextPurchaseConditions?string|nulldiscountOnNextPurchaseDescription?string|nulldiscountOnNextPurchaseFrom?|Format
date-timediscountOnNextPurchaseMinimalAmount?|Format
decimaldiscountOnNextPurchaseName?|Length
length <= 50discountOnNextPurchaseValidDays?|Format
int32discountOnNextPurchaseValidTo?|Format
date-timediscountPercent?|Format
decimaldiscountValidAlways?boolean|nullhours?|Format
int32id?|Format
int32isDeleted?boolean|nullisPrioritized?boolean|nullname?|Length
length <= 80onlyForNonRegisteredCustomers?boolean|nullonlyForPos?boolean|nullonlyForRegisteredCustomers?boolean|nullpaymentTypeId?|Format
int32paymentTypes?|Format
int32soldAll?boolean|nulluseWarehousePrice?boolean|nullvalidFrom?|Format
date-timevalidTo?|Format
date-timefilters?array<>warehouses?array<>curl -X GET 'https://<your-instance>/api/promotions/financial-promotions/0' \ -H 'Authorization: Bearer <access-token>'{ "amountFrom": 0, "amountTo": 0, "barcode": "string", "createdAt": "2019-08-24T14:15:22Z", "daysOfWeek": 0, "deletedAt": "2019-08-24T14:15:22Z", "description": "string", "discountAmount": 0, "discountGroupId": 0, "discountOnNextPurchase": true, "discountOnNextPurchaseConditions": "string", "discountOnNextPurchaseDescription": "string", "discountOnNextPurchaseFrom": "2019-08-24T14:15:22Z", "discountOnNextPurchaseMinimalAmount": 0, "discountOnNextPurchaseName": "string", "discountOnNextPurchaseValidDays": 0, "discountOnNextPurchaseValidTo": "2019-08-24T14:15:22Z", "discountPercent": 0, "discountValidAlways": true, "hours": 0, "id": 0, "isDeleted": true, "isPrioritized": true, "name": "string", "onlyForNonRegisteredCustomers": true, "onlyForPos": true, "onlyForRegisteredCustomers": true, "paymentTypeId": 0, "paymentTypes": 0, "soldAll": true, "useWarehousePrice": true, "validFrom": "2019-08-24T14:15:22Z", "validTo": "2019-08-24T14:15:22Z", "filters": [ { "groupId": 0, "id": 0, "modelId": 0, "promotionId": 0, "seasonId": 0, "subGroupId": 0, "supplierId": 0, "themeId": 0 } ], "warehouses": [ { "id": 0, "promotionId": 0, "warehouseId": 0 } ]}